Documentation Index
Fetch the complete documentation index at: https://docs.qoder.com/llms.txt
Use this file to discover all available pages before exploring further.
POST /v1/vaults/{vault_id}/archive
将指定 Vault 设为归档状态。归档后的 Vault 不再参与活跃使用,但仍可查询。
请求头
| 头部 | 必选 | 说明 |
|---|
Authorization | 是 | Bearer <PAT> |
路径参数
| 参数 | 类型 | 必选 | 说明 |
|---|
vault_id | string | 是 | Vault 的唯一标识符 |
示例请求
curl -X POST "https://openapi.qoder.sh/api/v1/cloud/vaults/vault_019e3bb940277f0db05ab74291acf6ef/archive" \
-H "Authorization: Bearer $QODER_PAT"
示例响应
HTTP 200 OK
{
"id": "vault_019e3bb940277f0db05ab74291acf6ef",
"type": "vault",
"display_name": "my-mcp-vault",
"status": "archived",
"metadata": {},
"archived_at": "2026-05-18T15:34:35.630693Z",
"created_at": "2026-05-18T15:34:16.874877Z",
"updated_at": "2026-05-18T15:34:35.630693Z"
}
响应字段变化
归档成功后:
status 从 "active" 变为 "archived"
- 新增
archived_at 字段,记录归档时间
updated_at 更新为归档操作时间
错误码
| HTTP | type | 触发条件 |
|---|
| 401 | authentication_error | 缺少或无效的认证令牌 |
| 404 | not_found_error | Vault 不存在或已删除 |
完整错误信封说明详见 错误参考。